<Project Sdk="Microsoft.NET.Sdk">
	
	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net7.0</TargetFramework>
		<ImplicitUsings>true</ImplicitUsings>
		<Nullable>enable</Nullable>
		<AssemblyName>setup</AssemblyName>
		<RootNamespace>Insight.Setup</RootNamespace>
		<Product>Insight</Product>
		<AssemblyVersion>2023.9.21.1</AssemblyVersion>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<ItemGroup>
		<Content Include="appsettings.Development.json">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
			<ExcludeFromSingleFile>true</ExcludeFromSingleFile>
			<CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
		</Content>
		<Content Include="appsettings.json">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
			<ExcludeFromSingleFile>true</ExcludeFromSingleFile>
			<CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
		</Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Hosting" Version="7.0.1" />
		<PackageReference Include="System.ServiceProcess.ServiceController" Version="7.0.1" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\..\Core\Insight.Domain\Insight.Domain.csproj" />
	</ItemGroup>

</Project>